package pl.pz.test.gps;

import android.app.Activity;
import android.os.Bundle;
import android.widget.EditText;


public class Main extends Activity
{
	public static EditText edit = null;
	
	public static String sLogLastText = "";
	
	public static GpsReader gpsReader = null;

	
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
	  setContentView(R.layout.main);
	    
	  edit = (EditText)findViewById(R.id.edit);

	  log("onCreate");
	  
	  gpsReader = new GpsReader(this);	  
	}
	
	public static void log(String sText)
	{	
		if (sLogLastText.equals(sText))
		{
			edit.setText(edit.getText() + ".");
			return;
		}
		
		sLogLastText = sText;
		
		String s = edit.getText().toString();
		
		if (s.length() != 0)
			s += "\n";
		
		s += sText;
		
		edit.setText(s);
	}

	protected void onDestroy()
	{
		//stop getting current location
		gpsReader.stop();
		
		super.onDestroy();
	}
	
	protected void onStart()
	{		
		super.onStart();
		
		//get current location
		gpsReader.stop();
		gpsReader.start(10);
	}
}
